| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | Protected Attributes | List of all members
cv::quality::QualityBase Class Referenceabstract
Image Quality Analysis (IQA) API

`#include <opencv2/quality/qualitybase.hpp>`

Collaboration diagram for cv::quality::QualityBase:

## Public Member Functions
virtual | ~QualityBase ()=default
| Destructor.
void | clear () CV_OVERRIDE
| Implements Algorithm::clear()
virtual cv::Scalar | compute (InputArray img)=0
| Compute quality score per channel with the per-channel score in each element of the resulting cv::Scalar. See specific algorithm for interpreting result scores.
bool | empty () const CV_OVERRIDE
| Implements Algorithm::empty()
virtual void | getQualityMap (OutputArray dst) const
| Returns output quality map that was generated during computation, if supported by the algorithm
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Protected Types
using | _mat_type = cv::UMat
| internal mat type default

## Protected Attributes
_mat_type | _qualityMap
| Output quality maps if generated by algorithm.

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Member Typedef Documentation

## ◆ _mat_type

using cv::quality::QualityBase::_mat_type = cv::UMat
| protected

internal mat type default

## Constructor & Destructor Documentation

## ◆ ~QualityBase()

virtual cv::quality::QualityBase::~QualityBase | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void cv::quality::QualityBase::clear | ( |  | ) |
| inline virtual

Python:
| cv.quality.QualityBase.clear( |  | ) -> | None

Implements Algorithm::clear()

Reimplemented from cv::Algorithm.

Reimplemented in cv::quality::QualityGMSD, cv::quality::QualityMSE, cv::quality::QualityPSNR, and cv::quality::QualitySSIM.

## ◆ compute()

virtual cv::Scalar cv::quality::QualityBase::compute | ( | InputArray | img | ) |
| pure virtual

Python:
| cv.quality.QualityBase.compute( | img | ) -> | retval

Compute quality score per channel with the per-channel score in each element of the resulting cv::Scalar. See specific algorithm for interpreting result scores.

Parameters

  img | comparison image, or image to evalute for no-reference quality algorithms

Implemented in cv::quality::QualityBRISQUE, cv::quality::QualityGMSD, cv::quality::QualityMSE, cv::quality::QualityPSNR, and cv::quality::QualitySSIM.

## ◆ empty()

bool cv::quality::QualityBase::empty | ( |  | ) | const
| inline virtual

Python:
| cv.quality.QualityBase.empty( |  | ) -> | retval

Implements Algorithm::empty()

Reimplemented from cv::Algorithm.

Reimplemented in cv::quality::QualityGMSD, cv::quality::QualityMSE, cv::quality::QualityPSNR, and cv::quality::QualitySSIM.

## ◆ getQualityMap()

virtual void cv::quality::QualityBase::getQualityMap | ( | OutputArray | dst | ) | const
| inline virtual

Python:
| cv.quality.QualityBase.getQualityMap( | [, dst] | ) -> | dst

Returns output quality map that was generated during computation, if supported by the algorithm

Here is the call graph for this function:

## Member Data Documentation

## ◆ _qualityMap

_mat_type cv::quality::QualityBase::_qualityMap
| protected

Output quality maps if generated by algorithm.

The documentation for this class was generated from the following file:

- opencv2/quality/qualitybase.hpp